| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Rndm::Landau Class Reference

`#include <RndmGenerators.h>`

Inheritance diagram for Rndm::Landau:

[legend]
Collaboration diagram for Rndm::Landau:

[legend]
List of all members.

## Detailed Description

Parameters for the Landau distributed random number generation.

Definition at line 114 of file RndmGenerators.h.

## Public Member Functions
| Landau (double m, double s)
| Standard Constructor.
virtual | ~Landau ()
| Standard Destructor.
double | mean () const
| Access mean value of the distribution.
double | sigma () const
| Access width of the distribution.
virtual IRndmGen::Param * | clone () const
| Clone parameters.
## Static Public Member Functions
static const InterfaceID & | typeID ()
| Identifier for factory.
## Protected Attributes
double | m_mean
| Mean and Gamma parameter of the Breit-Wigner distribution.
double | m_sigma
## Friends
class | Generator< Landau >

## Constructor & Destructor Documentation

Rndm::Landau::Landau | ( | double | m,
|  | double | s |
| ) |  |  | `[inline]`

Standard Constructor.

Definition at line 121 of file RndmGenerators.h.

Referenced by clone().

    00122     : IRndmGen::Param(IID_IRndmLandau), m_mean(m), m_sigma(s) { }

virtual Rndm::Landau::~Landau | ( |  | ) | `[inline, virtual]`

Standard Destructor.

Definition at line 124 of file RndmGenerators.h.

    00124 { }

## Member Function Documentation

double Rndm::Landau::mean | ( |  | ) | const`[inline]`

Access mean value of the distribution.

Definition at line 126 of file RndmGenerators.h.

References m_mean.

    00126 { return m_mean;                }

double Rndm::Landau::sigma | ( |  | ) | const`[inline]`

Access width of the distribution.

Definition at line 128 of file RndmGenerators.h.

References m_sigma.

    00128 { return m_sigma;               }

static const InterfaceID& Rndm::Landau::typeID | ( |  | ) | `[inline, static]`

Identifier for factory.

Definition at line 130 of file RndmGenerators.h.

References IID_IRndmLandau.

    00130 { return IID_IRndmLandau;       }

virtual IRndmGen::Param* Rndm::Landau::clone | ( |  | ) | const`[inline, virtual]`

Clone parameters.

Implements IRndmGen::Param.

Definition at line 132 of file RndmGenerators.h.

References Landau(), m_mean, and m_sigma.

    00132                                             {
    00133       return new Landau(m_mean, m_sigma);
    00134     }

## Friends And Related Function Documentation

friend class Generator< Landau >`[friend]`

Definition at line 115 of file RndmGenerators.h.

## Member Data Documentation

double Rndm::Landau::m_mean`[protected]`

Mean and Gamma parameter of the Breit-Wigner distribution.

Definition at line 118 of file RndmGenerators.h.

Referenced by clone(), and mean().

double Rndm::Landau::m_sigma`[protected]`

Definition at line 118 of file RndmGenerators.h.

Referenced by clone(), and sigma().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/RndmGenerators.h